%define anolis_release 2

Name:           libcap-ng
Version:        0.8.3
Release:        %{anolis_release}%{?dist}
Summary:        Alternate posix capabilities library

License:        LGPLv2+
URL:            https://people.redhat.com/sgrubb/libcap-ng/
Source0:        https://people.redhat.com/sgrubb/libcap-ng/%{name}-%{version}.tar.gz

BuildRequires:  make gcc kernel-headers libattr-devel

%description
Libcap-ng is a library that makes using posix capabilities easier

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package python3
Summary: Python3 bindings for libcap-ng library
License: LGPLv2+
BuildRequires: python3-devel swig
BuildRequires: make
Requires: %{name} = %{version}-%{release}

%description python3
The libcap-ng-python3 package contains the bindings so that libcap-ng
and can be used by python3 applications.

%package utils
Summary: Utilities for analyzing and setting file capabilities
License: GPLv2+
Requires: %{name} = %{version}-%{release}

%description utils
The libcap-ng-utils package contains applications to analyze the
posix capabilities of all the program running on a system. It also
lets you set the file system based capabilities.

%prep
%autosetup


%build
%configure --disable-static --libdir=%{_libdir} --with-python=no --with-python3
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -print -delete
find $RPM_BUILD_ROOT -name '*.a' -print -delete

%generate_compatibility_deps

%check
make check

%ldconfig_scriptlets


%files
%dir %{abidir}
%license COPYING.LIB
%attr(0644,root,root) %{_mandir}/man7/*
%{_libdir}/*.so.*
%{abidir}/*.dump

%files devel
%attr(0644,root,root) %{_mandir}/man3/*
%attr(0644,root,root) %{_includedir}/cap-ng.h
%attr(0644,root,root) %{_datadir}/aclocal/cap-ng.m4
%{_libdir}/pkgconfig/libcap-ng.pc
%{_libdir}/*.so

%files python3
%attr(755,root,root) %{python3_sitearch}/*
%{python3_sitearch}/capng.py*

%files utils
%license COPYING
%attr(0755,root,root) %{_bindir}/*
%{abidir}/*-option.list
%attr(0644,root,root) %{_mandir}/man8/*

%changelog
* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.8.3-2
- optimise spec file

* Thu Sep 22 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.8.3-1
- update to 0.8.3

* Thu Mar 10 2022 forrest_ly <flin@linux.alibaba.com> - 0.8.2-1
- Init for Anolis OS 23 
